Package org.codehaus.janino

# Interface Java.MemberTypeDeclaration

All Superinterfaces:
  `Java.Annotatable`, `Java.Locatable`, `Java.NamedTypeDeclaration`, `Java.Scope`, `Java.TypeBodyDeclaration`, `Java.TypeDeclaration`

All Known Implementing Classes:
  `Java.MemberAnnotationTypeDeclaration`, `Java.MemberClassDeclaration`, `Java.MemberEnumDeclaration`, `Java.MemberInterfaceDeclaration`

Enclosing class:
  `Java`

public static interface Java.MemberTypeDeclaration extends Java.NamedTypeDeclaration, Java.TypeBodyDeclaration
Represents a class or interface declaration where the immediately enclosing scope is another class or interface declaration.

## Method Summary

Modifier and Type
Method
Description
`Access`
`getAccess()`

### Methods inherited from interface org.codehaus.janino.Java.Annotatable

`getAnnotations`

### Methods inherited from interface org.codehaus.janino.Java.Locatable

`getLocation, throwCompileException`

### Methods inherited from interface org.codehaus.janino.Java.NamedTypeDeclaration

`getName, getOptionalTypeParameters`

### Methods inherited from interface org.codehaus.janino.Java.Scope

`getEnclosingScope`

### Methods inherited from interface org.codehaus.janino.Java.TypeBodyDeclaration

`accept, getDeclaringType, getModifiers, setDeclaringType`

### Methods inherited from interface org.codehaus.janino.Java.TypeDeclaration

`accept, createAnonymousClassName, createLocalTypeName, getClassName, getMemberTypeDeclaration, getMemberTypeDeclarations, getMethodDeclaration, getMethodDeclarations`

## Method Details

### getAccess

Access getAccess()

Returns:
  The accessability declared for this member type